#include "mbed.h"
#include "USBMouseKeyboard.h"

//Bus of leds
BusOut leds(LED1, LED2, LED3);
USBMouseKeyboard key_mouse(REL_MOUSE, &leds);

int main(void) {
    while (1) {
        key_mouse.mediaControl(KEY_VOLUME_DOWN);
        key_mouse.printf("Hello World from Mbed\r\n");
        key_mouse.keyCode('s', KEY_CTRL);
        key_mouse.move(20, 0);
        key_mouse.keyCode(KEY_SCROLL_LOCK);
        wait(1);
    }
}
